/*
 * Property 组件的组件路由
 */
import 'package:flutter/cupertino.dart';
import 'package:router/componentRouter/property_service.dart';
import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../../modules/news_detail/property_news_detail_page.dart';
import '../../modules/property/page/property_page.dart';

part 'property_component_service.g.dart';

@Riverpod(keepAlive: true)
PropertyService propertyService(Ref ref) {
  return PropertyComponentService();
}

class PropertyComponentService extends PropertyService {

  @override
  void startPropertyPage() {
    PropertyPage.startInstance();
  }

  @override
  void startPropertyNewsDetailPage(int id) {
    PropertyNewsDetailPage.startInstance(id: id);
  }
}
